Foreman - Bug #7494

Search on usergroup page doesn't filter the specified string (w/wo quotes)
09/17/2014 07:44 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: Search
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1142588 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3278
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1142588

Description of problem:

Automation tests were failing as Ul doesn't search usergroup names properly. Initially | thought problem is only with utf8 and latin1
characters, issue is with alpha nd numeric strings too.

Version-Release number of selected component (if applicable):
Sat6 GA Z release
Satellite-6.0.4-RHEL-6-20140915.0

How reproducible:
always

Steps to Reproduce:

1. create usergroup with alpha, numeric, latin and utf8 chars

2. user searchbar on usergroup page to search/filter any one created in step1
3.

Actual results:
Search won't filter the given string

Expected results:
Search should filter the only specified string

Additional info:
no error in logs

Associated revisions

Revision 35d6eb40 - 03/07/2016 05:09 AM - Shimon Shtein

Fixes #7494 - added search parameter to index action of usergroups

Revision 13a3d8bd - 04/18/2016 01:45 PM - Shimon Shtein

Fixes #7494 - added search parameter to index action of usergroups

(cherry picked from commit 35d6eb40a800b6f4ea04e53eb3bb9631504863db)

History

#1 - 09/17/2014 07:44 AM - Dominic Cleal

- Category set to Search

#2 - 03/06/2016 07:26 AM - Shimon Shtein

- Assignee set to Shimon Shtein
https://bugzilla.redhat.com/show_bug.cgi?id=1142588

#3 - 03/06/2016 08:07 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3278 added

#4 - 03/07/2016 06:01 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 35d6eb40a800b6f4ea04e53eb3bb9631504863db.

#5 - 03/07/2016 06:09 AM - Dominic Cleal

- translation missing: en.field_release set to 141
